<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer1Defs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer1_defs_8h.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">X:/kmTimer1Defs.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Common definitions for Timers. <a class="el" href="km_timer1_defs_8h.html" title="Common definitions for Timers. kmTimer1Defs.h.">kmTimer1Defs.h</a>.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;../kmCommon/kmCommon.h&quot;</code><br />
<code>#include &quot;../kmCpu/kmCpuDefs.h&quot;</code><br />
<code>#include &quot;../kmTimersCommon/kmTimerDefs.h&quot;</code><br />
</div>
<p><a href="km_timer1_defs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a41c3f56c38b0260d9faacc29d8fca4da" id="r_a41c3f56c38b0260d9faacc29d8fca4da"><td class="memItemLeft" align="right" valign="top"><a id="a41c3f56c38b0260d9faacc29d8fca4da" name="a41c3f56c38b0260d9faacc29d8fca4da"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>COM1C0</b></td></tr>
<tr class="separator:a41c3f56c38b0260d9faacc29d8fca4da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1790739c5da129d8cffc87fccb82622d" id="r_a1790739c5da129d8cffc87fccb82622d"><td class="memItemLeft" align="right" valign="top"><a id="a1790739c5da129d8cffc87fccb82622d" name="a1790739c5da129d8cffc87fccb82622d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_AVR_LAYOUT_100</b></td></tr>
<tr class="separator:a1790739c5da129d8cffc87fccb82622d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a510ee05b46dbb9661b7fca2a1a1ba7e3" id="r_a510ee05b46dbb9661b7fca2a1a1ba7e3"><td class="memItemLeft" align="right" valign="top"><a id="a510ee05b46dbb9661b7fca2a1a1ba7e3" name="a510ee05b46dbb9661b7fca2a1a1ba7e3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER1_BOTTOM</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a6a4c8cf84fb8cc96685de933f429df9c">KM_TCC_BOTOM</a></td></tr>
<tr class="memdesc:a510ee05b46dbb9661b7fca2a1a1ba7e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines bottom value for Timer1. <br /></td></tr>
<tr class="separator:a510ee05b46dbb9661b7fca2a1a1ba7e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae96d6c771a6cc68aa6c5b9672a8e956b" id="r_ae96d6c771a6cc68aa6c5b9672a8e956b"><td class="memItemLeft" align="right" valign="top"><a id="ae96d6c771a6cc68aa6c5b9672a8e956b" name="ae96d6c771a6cc68aa6c5b9672a8e956b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER1_MAX</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#addcf737b04dbddb61c2746df1d48b64f">KM_TCC_TOP_3</a></td></tr>
<tr class="memdesc:ae96d6c771a6cc68aa6c5b9672a8e956b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines top value for Timer1. <br /></td></tr>
<tr class="separator:ae96d6c771a6cc68aa6c5b9672a8e956b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bb9ee62fe71e33aa30bb938ce2a7d6e" id="r_a1bb9ee62fe71e33aa30bb938ce2a7d6e"><td class="memItemLeft" align="right" valign="top"><a id="a1bb9ee62fe71e33aa30bb938ce2a7d6e" name="a1bb9ee62fe71e33aa30bb938ce2a7d6e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER1_TOP_8_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#ac3e5a65645a34d1b863e5d5edb18cda3">KM_TCC_TOP_1</a></td></tr>
<tr class="separator:a1bb9ee62fe71e33aa30bb938ce2a7d6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adea23024e27ecf02f59b21ebea9aeeed" id="r_adea23024e27ecf02f59b21ebea9aeeed"><td class="memItemLeft" align="right" valign="top"><a id="adea23024e27ecf02f59b21ebea9aeeed" name="adea23024e27ecf02f59b21ebea9aeeed"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER1_TOP_9_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a04f810cdda0a757c02bfe3bfdc3d43b1">KM_TCC_TOP_5</a></td></tr>
<tr class="separator:adea23024e27ecf02f59b21ebea9aeeed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac43d725a9cd7cb5ffa1149eb5d4d2173" id="r_ac43d725a9cd7cb5ffa1149eb5d4d2173"><td class="memItemLeft" align="right" valign="top"><a id="ac43d725a9cd7cb5ffa1149eb5d4d2173" name="ac43d725a9cd7cb5ffa1149eb5d4d2173"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER1_TOP_10_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a26a06431ee77d5cb04cc2fe62c3e8ecd">KM_TCC_TOP_4</a></td></tr>
<tr class="separator:ac43d725a9cd7cb5ffa1149eb5d4d2173"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a348327bfd7a10435f9f576b2d4ad6251" id="r_a348327bfd7a10435f9f576b2d4ad6251"><td class="memItemLeft" align="right" valign="top"><a id="a348327bfd7a10435f9f576b2d4ad6251" name="a348327bfd7a10435f9f576b2d4ad6251"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER1_TOP_16_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#addcf737b04dbddb61c2746df1d48b64f">KM_TCC_TOP_3</a></td></tr>
<tr class="separator:a348327bfd7a10435f9f576b2d4ad6251"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5b04873b9589d29fd1f25aa7db46098" id="r_ae5b04873b9589d29fd1f25aa7db46098"><td class="memItemLeft" align="right" valign="top"><a id="ae5b04873b9589d29fd1f25aa7db46098" name="ae5b04873b9589d29fd1f25aa7db46098"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER1_MID</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a1c5d0cb0398e739d6de912f0be341688">KM_TCC_MID_3</a></td></tr>
<tr class="memdesc:ae5b04873b9589d29fd1f25aa7db46098"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines mid value for Timer1. <br /></td></tr>
<tr class="separator:ae5b04873b9589d29fd1f25aa7db46098"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44214fb13da0e3d912c88531b3e80fff" id="r_a44214fb13da0e3d912c88531b3e80fff"><td class="memItemLeft" align="right" valign="top"><a id="a44214fb13da0e3d912c88531b3e80fff" name="a44214fb13da0e3d912c88531b3e80fff"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_STOP</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED				)</td></tr>
<tr class="memdesc:a44214fb13da0e3d912c88531b3e80fff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer1 - Disabled. <br /></td></tr>
<tr class="separator:a44214fb13da0e3d912c88531b3e80fff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4aaa68b47b0c7ed9bd466e83c8f3151c" id="r_a4aaa68b47b0c7ed9bd466e83c8f3151c"><td class="memItemLeft" align="right" valign="top"><a id="a4aaa68b47b0c7ed9bd466e83c8f3151c" name="a4aaa68b47b0c7ed9bd466e83c8f3151c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PRSC_1</b>&#160;&#160;&#160;(						_BV(CS10)	)</td></tr>
<tr class="memdesc:a4aaa68b47b0c7ed9bd466e83c8f3151c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer1 - Prescaler 1 / 1. <br /></td></tr>
<tr class="separator:a4aaa68b47b0c7ed9bd466e83c8f3151c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d8ce9dfb142c8b41e390b3809a5403" id="r_a50d8ce9dfb142c8b41e390b3809a5403"><td class="memItemLeft" align="right" valign="top"><a id="a50d8ce9dfb142c8b41e390b3809a5403" name="a50d8ce9dfb142c8b41e390b3809a5403"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PRSC_8</b>&#160;&#160;&#160;(			_BV(CS11)				)</td></tr>
<tr class="memdesc:a50d8ce9dfb142c8b41e390b3809a5403"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer1 - Prescaler 1 / 8. <br /></td></tr>
<tr class="separator:a50d8ce9dfb142c8b41e390b3809a5403"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a464d3dc71b0b777d9658646eb8923c25" id="r_a464d3dc71b0b777d9658646eb8923c25"><td class="memItemLeft" align="right" valign="top"><a id="a464d3dc71b0b777d9658646eb8923c25" name="a464d3dc71b0b777d9658646eb8923c25"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PRSC_64</b>&#160;&#160;&#160;(				_BV(CS11) |	_BV(CS10)	)</td></tr>
<tr class="memdesc:a464d3dc71b0b777d9658646eb8923c25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer1 - Prescaler 1 / 64. <br /></td></tr>
<tr class="separator:a464d3dc71b0b777d9658646eb8923c25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04c8ef8d0306e859001e9642c13da27a" id="r_a04c8ef8d0306e859001e9642c13da27a"><td class="memItemLeft" align="right" valign="top"><a id="a04c8ef8d0306e859001e9642c13da27a" name="a04c8ef8d0306e859001e9642c13da27a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PRSC_256</b>&#160;&#160;&#160;(_BV(CS12)							)</td></tr>
<tr class="memdesc:a04c8ef8d0306e859001e9642c13da27a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer1 - Prescaler 1 / 256. <br /></td></tr>
<tr class="separator:a04c8ef8d0306e859001e9642c13da27a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a718c4297873e6aceeba9883668c90c5a" id="r_a718c4297873e6aceeba9883668c90c5a"><td class="memItemLeft" align="right" valign="top"><a id="a718c4297873e6aceeba9883668c90c5a" name="a718c4297873e6aceeba9883668c90c5a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PRSC_1024</b>&#160;&#160;&#160;(_BV(CS12) |			_BV(CS10)	)</td></tr>
<tr class="memdesc:a718c4297873e6aceeba9883668c90c5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer1 - Prescaler 1 / 1024. <br /></td></tr>
<tr class="separator:a718c4297873e6aceeba9883668c90c5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af518a50f18b7909241c51ab24e1f0912" id="r_af518a50f18b7909241c51ab24e1f0912"><td class="memItemLeft" align="right" valign="top"><a id="af518a50f18b7909241c51ab24e1f0912" name="af518a50f18b7909241c51ab24e1f0912"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_EXT_T1_FAL</b>&#160;&#160;&#160;(_BV(CS12) |_BV(CS11)				)</td></tr>
<tr class="memdesc:af518a50f18b7909241c51ab24e1f0912"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer1 - Enabled on falling signal. <br /></td></tr>
<tr class="separator:af518a50f18b7909241c51ab24e1f0912"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36eacdddc8bfb35707ebbb38de1c33ff" id="r_a36eacdddc8bfb35707ebbb38de1c33ff"><td class="memItemLeft" align="right" valign="top"><a id="a36eacdddc8bfb35707ebbb38de1c33ff" name="a36eacdddc8bfb35707ebbb38de1c33ff"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_EXT_T1_RIS</b>&#160;&#160;&#160;(_BV(CS12) |_BV(CS11) |	_BV(CS10)	)</td></tr>
<tr class="memdesc:a36eacdddc8bfb35707ebbb38de1c33ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer1 - Enabled on rising signal. <br /></td></tr>
<tr class="separator:a36eacdddc8bfb35707ebbb38de1c33ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8928cfe14909a5b4db44ccdb5b6aedd1" id="r_a8928cfe14909a5b4db44ccdb5b6aedd1"><td class="memItemLeft" align="right" valign="top"><a id="a8928cfe14909a5b4db44ccdb5b6aedd1" name="a8928cfe14909a5b4db44ccdb5b6aedd1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_CS_MASK</b>&#160;&#160;&#160;<a class="el" href="#a36eacdddc8bfb35707ebbb38de1c33ff">KM_TCC1_EXT_T1_RIS</a></td></tr>
<tr class="memdesc:a8928cfe14909a5b4db44ccdb5b6aedd1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prescaler mask for Timer1 (allows to clear prescaler) <br /></td></tr>
<tr class="separator:a8928cfe14909a5b4db44ccdb5b6aedd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88bedf208a17b958f91e9b680ad348bf" id="r_a88bedf208a17b958f91e9b680ad348bf"><td class="memItemLeft" align="right" valign="top"><a id="a88bedf208a17b958f91e9b680ad348bf" name="a88bedf208a17b958f91e9b680ad348bf"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_0_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a88bedf208a17b958f91e9b680ad348bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 0 (Reg.A) - Normal top value 0xFFFF. <br /></td></tr>
<tr class="separator:a88bedf208a17b958f91e9b680ad348bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0c7987036fc4a43c5027658720f322c" id="r_ab0c7987036fc4a43c5027658720f322c"><td class="memItemLeft" align="right" valign="top"><a id="ab0c7987036fc4a43c5027658720f322c" name="ab0c7987036fc4a43c5027658720f322c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_0_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:ab0c7987036fc4a43c5027658720f322c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 0 (Reg.B) <br /></td></tr>
<tr class="separator:ab0c7987036fc4a43c5027658720f322c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d38543712a64ef702f0719e69d7ab27" id="r_a5d38543712a64ef702f0719e69d7ab27"><td class="memItemLeft" align="right" valign="top"><a id="a5d38543712a64ef702f0719e69d7ab27" name="a5d38543712a64ef702f0719e69d7ab27"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_1_A</b>&#160;&#160;&#160;(												_BV(WGM10)	)</td></tr>
<tr class="memdesc:a5d38543712a64ef702f0719e69d7ab27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 1 (Reg.A) - PWM, Phase Correct, 8-bit top value 0x00FF. <br /></td></tr>
<tr class="separator:a5d38543712a64ef702f0719e69d7ab27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8852ef58a5636f68547fedec11d1b789" id="r_a8852ef58a5636f68547fedec11d1b789"><td class="memItemLeft" align="right" valign="top"><a id="a8852ef58a5636f68547fedec11d1b789" name="a8852ef58a5636f68547fedec11d1b789"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_1_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a8852ef58a5636f68547fedec11d1b789"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 1 (Reg.B) <br /></td></tr>
<tr class="separator:a8852ef58a5636f68547fedec11d1b789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a983c6776ac026b7f51741dd85f88bed5" id="r_a983c6776ac026b7f51741dd85f88bed5"><td class="memItemLeft" align="right" valign="top"><a id="a983c6776ac026b7f51741dd85f88bed5" name="a983c6776ac026b7f51741dd85f88bed5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_2_A</b>&#160;&#160;&#160;(								_BV(WGM11)					)</td></tr>
<tr class="memdesc:a983c6776ac026b7f51741dd85f88bed5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 2 (Reg.A) - PWM, Phase Correct, 9-bit top value 0x01FF. <br /></td></tr>
<tr class="separator:a983c6776ac026b7f51741dd85f88bed5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b57782963ba9d3d0ef7445e0a41db5a" id="r_a2b57782963ba9d3d0ef7445e0a41db5a"><td class="memItemLeft" align="right" valign="top"><a id="a2b57782963ba9d3d0ef7445e0a41db5a" name="a2b57782963ba9d3d0ef7445e0a41db5a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_2_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a2b57782963ba9d3d0ef7445e0a41db5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 2 (Reg.B) <br /></td></tr>
<tr class="separator:a2b57782963ba9d3d0ef7445e0a41db5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17358bf0acd5c23e745aa0fbef6c3bbd" id="r_a17358bf0acd5c23e745aa0fbef6c3bbd"><td class="memItemLeft" align="right" valign="top"><a id="a17358bf0acd5c23e745aa0fbef6c3bbd" name="a17358bf0acd5c23e745aa0fbef6c3bbd"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_3_A</b>&#160;&#160;&#160;(								_BV(WGM11) |	_BV(WGM10)	)</td></tr>
<tr class="memdesc:a17358bf0acd5c23e745aa0fbef6c3bbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 3 (Reg.A) - PWM, Phase Correct, 10-bit top value 0x03FF. <br /></td></tr>
<tr class="separator:a17358bf0acd5c23e745aa0fbef6c3bbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8d1fe36bf98935ac0ac5a347a707386" id="r_aa8d1fe36bf98935ac0ac5a347a707386"><td class="memItemLeft" align="right" valign="top"><a id="aa8d1fe36bf98935ac0ac5a347a707386" name="aa8d1fe36bf98935ac0ac5a347a707386"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_3_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:aa8d1fe36bf98935ac0ac5a347a707386"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 3 (Reg.B) <br /></td></tr>
<tr class="separator:aa8d1fe36bf98935ac0ac5a347a707386"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a882441b9067793da60df0b2ef7e57503" id="r_a882441b9067793da60df0b2ef7e57503"><td class="memItemLeft" align="right" valign="top"><a id="a882441b9067793da60df0b2ef7e57503" name="a882441b9067793da60df0b2ef7e57503"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_4_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a882441b9067793da60df0b2ef7e57503"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 4 (Reg.A) - CTC with OCR1A as top. <br /></td></tr>
<tr class="separator:a882441b9067793da60df0b2ef7e57503"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2510c753bef3bf99f3d7853bca6e369" id="r_ab2510c753bef3bf99f3d7853bca6e369"><td class="memItemLeft" align="right" valign="top"><a id="ab2510c753bef3bf99f3d7853bca6e369" name="ab2510c753bef3bf99f3d7853bca6e369"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_4_B</b>&#160;&#160;&#160;(				_BV(WGM12)									)</td></tr>
<tr class="memdesc:ab2510c753bef3bf99f3d7853bca6e369"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 4 (Reg.B) <br /></td></tr>
<tr class="separator:ab2510c753bef3bf99f3d7853bca6e369"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6cde65b87c78f357e8b20a58c25e37b" id="r_ac6cde65b87c78f357e8b20a58c25e37b"><td class="memItemLeft" align="right" valign="top"><a id="ac6cde65b87c78f357e8b20a58c25e37b" name="ac6cde65b87c78f357e8b20a58c25e37b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_5_A</b>&#160;&#160;&#160;(												_BV(WGM10)	)</td></tr>
<tr class="memdesc:ac6cde65b87c78f357e8b20a58c25e37b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 5 (Reg.A) - Fast PWM, 8-bit top value 0x00FF. <br /></td></tr>
<tr class="separator:ac6cde65b87c78f357e8b20a58c25e37b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43fbc9b39b32b0fe628063b351efc1f2" id="r_a43fbc9b39b32b0fe628063b351efc1f2"><td class="memItemLeft" align="right" valign="top"><a id="a43fbc9b39b32b0fe628063b351efc1f2" name="a43fbc9b39b32b0fe628063b351efc1f2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_5_B</b>&#160;&#160;&#160;(				_BV(WGM12)									)</td></tr>
<tr class="memdesc:a43fbc9b39b32b0fe628063b351efc1f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 5 (Reg.B) <br /></td></tr>
<tr class="separator:a43fbc9b39b32b0fe628063b351efc1f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc2bbd9bb496f5ae6618e431496c5857" id="r_afc2bbd9bb496f5ae6618e431496c5857"><td class="memItemLeft" align="right" valign="top"><a id="afc2bbd9bb496f5ae6618e431496c5857" name="afc2bbd9bb496f5ae6618e431496c5857"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_6_A</b>&#160;&#160;&#160;(								_BV(WGM11)					)</td></tr>
<tr class="memdesc:afc2bbd9bb496f5ae6618e431496c5857"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 6 (Reg.A) - Fast PWM, 9-bit top value 0x01FF. <br /></td></tr>
<tr class="separator:afc2bbd9bb496f5ae6618e431496c5857"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a276b99c82d55e55f86b2ec667ada5ce0" id="r_a276b99c82d55e55f86b2ec667ada5ce0"><td class="memItemLeft" align="right" valign="top"><a id="a276b99c82d55e55f86b2ec667ada5ce0" name="a276b99c82d55e55f86b2ec667ada5ce0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_6_B</b>&#160;&#160;&#160;(				_BV(WGM12)									)</td></tr>
<tr class="memdesc:a276b99c82d55e55f86b2ec667ada5ce0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 5 (Reg.B) <br /></td></tr>
<tr class="separator:a276b99c82d55e55f86b2ec667ada5ce0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad79f57321878c4454d32f212fbd94d2c" id="r_ad79f57321878c4454d32f212fbd94d2c"><td class="memItemLeft" align="right" valign="top"><a id="ad79f57321878c4454d32f212fbd94d2c" name="ad79f57321878c4454d32f212fbd94d2c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_7_A</b>&#160;&#160;&#160;(								_BV(WGM11) |	_BV(WGM10)	)</td></tr>
<tr class="memdesc:ad79f57321878c4454d32f212fbd94d2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 7 (Reg.A) - Fast PWM, 10-bit top value 0x03FF. <br /></td></tr>
<tr class="separator:ad79f57321878c4454d32f212fbd94d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf39fd5fe69f07188e1f645ff43cb98d" id="r_abf39fd5fe69f07188e1f645ff43cb98d"><td class="memItemLeft" align="right" valign="top"><a id="abf39fd5fe69f07188e1f645ff43cb98d" name="abf39fd5fe69f07188e1f645ff43cb98d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_7_B</b>&#160;&#160;&#160;(				_BV(WGM12)									)</td></tr>
<tr class="memdesc:abf39fd5fe69f07188e1f645ff43cb98d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 7 (Reg.B) <br /></td></tr>
<tr class="separator:abf39fd5fe69f07188e1f645ff43cb98d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78887c1b77d7a0cf85e2128d3b7a6ef9" id="r_a78887c1b77d7a0cf85e2128d3b7a6ef9"><td class="memItemLeft" align="right" valign="top"><a id="a78887c1b77d7a0cf85e2128d3b7a6ef9" name="a78887c1b77d7a0cf85e2128d3b7a6ef9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_8_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED									)</td></tr>
<tr class="memdesc:a78887c1b77d7a0cf85e2128d3b7a6ef9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 8 (Reg.A) - PWM, Phase and Frequency Correct with ICR1 as top. <br /></td></tr>
<tr class="separator:a78887c1b77d7a0cf85e2128d3b7a6ef9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9346b64a69de41ee794ea755b5e2fb20" id="r_a9346b64a69de41ee794ea755b5e2fb20"><td class="memItemLeft" align="right" valign="top"><a id="a9346b64a69de41ee794ea755b5e2fb20" name="a9346b64a69de41ee794ea755b5e2fb20"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_8_B</b>&#160;&#160;&#160;(_BV(WGM13)													)</td></tr>
<tr class="memdesc:a9346b64a69de41ee794ea755b5e2fb20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 8 (Reg.B) <br /></td></tr>
<tr class="separator:a9346b64a69de41ee794ea755b5e2fb20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7353fa629a0b5918876df5d64d8842fa" id="r_a7353fa629a0b5918876df5d64d8842fa"><td class="memItemLeft" align="right" valign="top"><a id="a7353fa629a0b5918876df5d64d8842fa" name="a7353fa629a0b5918876df5d64d8842fa"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_9_A</b>&#160;&#160;&#160;(												_BV(WGM10)	)</td></tr>
<tr class="memdesc:a7353fa629a0b5918876df5d64d8842fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 9 (Reg.A) - PWM, Phase and Frequency Correct with OCR1A as top. <br /></td></tr>
<tr class="separator:a7353fa629a0b5918876df5d64d8842fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9dc809945a9938ee03abde81cf6a2c6" id="r_ae9dc809945a9938ee03abde81cf6a2c6"><td class="memItemLeft" align="right" valign="top"><a id="ae9dc809945a9938ee03abde81cf6a2c6" name="ae9dc809945a9938ee03abde81cf6a2c6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_9_B</b>&#160;&#160;&#160;(_BV(WGM13)													)</td></tr>
<tr class="memdesc:ae9dc809945a9938ee03abde81cf6a2c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 9 (Reg.B) <br /></td></tr>
<tr class="separator:ae9dc809945a9938ee03abde81cf6a2c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d39946f1191d13bd3b4898abe142776" id="r_a3d39946f1191d13bd3b4898abe142776"><td class="memItemLeft" align="right" valign="top"><a id="a3d39946f1191d13bd3b4898abe142776" name="a3d39946f1191d13bd3b4898abe142776"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_A_A</b>&#160;&#160;&#160;(								_BV(WGM11)					)</td></tr>
<tr class="memdesc:a3d39946f1191d13bd3b4898abe142776"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 10 (Reg.A) - PWM, Phase Correct with ICR1 as top. <br /></td></tr>
<tr class="separator:a3d39946f1191d13bd3b4898abe142776"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8c676d00e8a1b488901ed30f8023459" id="r_aa8c676d00e8a1b488901ed30f8023459"><td class="memItemLeft" align="right" valign="top"><a id="aa8c676d00e8a1b488901ed30f8023459" name="aa8c676d00e8a1b488901ed30f8023459"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_A_B</b>&#160;&#160;&#160;(_BV(WGM13)													)</td></tr>
<tr class="memdesc:aa8c676d00e8a1b488901ed30f8023459"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 10 (Reg.B) <br /></td></tr>
<tr class="separator:aa8c676d00e8a1b488901ed30f8023459"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb632132c8458aeec3acf033291efe6c" id="r_afb632132c8458aeec3acf033291efe6c"><td class="memItemLeft" align="right" valign="top"><a id="afb632132c8458aeec3acf033291efe6c" name="afb632132c8458aeec3acf033291efe6c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_B_A</b>&#160;&#160;&#160;(								_BV(WGM11) |	_BV(WGM10)	)</td></tr>
<tr class="memdesc:afb632132c8458aeec3acf033291efe6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 11 (Reg.A) - PWM, Phase Correct with OCR1A as top. <br /></td></tr>
<tr class="separator:afb632132c8458aeec3acf033291efe6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa61a1b49ee8535ebad216bb46fec0a44" id="r_aa61a1b49ee8535ebad216bb46fec0a44"><td class="memItemLeft" align="right" valign="top"><a id="aa61a1b49ee8535ebad216bb46fec0a44" name="aa61a1b49ee8535ebad216bb46fec0a44"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_B_B</b>&#160;&#160;&#160;(_BV(WGM13)													)</td></tr>
<tr class="memdesc:aa61a1b49ee8535ebad216bb46fec0a44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 11 (Reg.B) <br /></td></tr>
<tr class="separator:aa61a1b49ee8535ebad216bb46fec0a44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2849edb9befcf055dfb3b9b5be73eec2" id="r_a2849edb9befcf055dfb3b9b5be73eec2"><td class="memItemLeft" align="right" valign="top"><a id="a2849edb9befcf055dfb3b9b5be73eec2" name="a2849edb9befcf055dfb3b9b5be73eec2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_C_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED									)</td></tr>
<tr class="memdesc:a2849edb9befcf055dfb3b9b5be73eec2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 12 (Reg.A) - CTC with ICR1 as top. <br /></td></tr>
<tr class="separator:a2849edb9befcf055dfb3b9b5be73eec2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe1952df701637aa767cc7495978c2f9" id="r_afe1952df701637aa767cc7495978c2f9"><td class="memItemLeft" align="right" valign="top"><a id="afe1952df701637aa767cc7495978c2f9" name="afe1952df701637aa767cc7495978c2f9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_C_B</b>&#160;&#160;&#160;(_BV(WGM13) |	_BV(WGM12)									)</td></tr>
<tr class="memdesc:afe1952df701637aa767cc7495978c2f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 12 (Reg.B) <br /></td></tr>
<tr class="separator:afe1952df701637aa767cc7495978c2f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a2709fd30f575259bcf44532a34b41f" id="r_a4a2709fd30f575259bcf44532a34b41f"><td class="memItemLeft" align="right" valign="top"><a id="a4a2709fd30f575259bcf44532a34b41f" name="a4a2709fd30f575259bcf44532a34b41f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_D_A</b>&#160;&#160;&#160;(												_BV(WGM10)	)</td></tr>
<tr class="memdesc:a4a2709fd30f575259bcf44532a34b41f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 13 (Reg.A) - Reserved. <br /></td></tr>
<tr class="separator:a4a2709fd30f575259bcf44532a34b41f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe1e1e3e74f5b7d7d81e407370a27dcf" id="r_abe1e1e3e74f5b7d7d81e407370a27dcf"><td class="memItemLeft" align="right" valign="top"><a id="abe1e1e3e74f5b7d7d81e407370a27dcf" name="abe1e1e3e74f5b7d7d81e407370a27dcf"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_D_B</b>&#160;&#160;&#160;(_BV(WGM13) |	_BV(WGM12)									)</td></tr>
<tr class="memdesc:abe1e1e3e74f5b7d7d81e407370a27dcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 13 (Reg.B) <br /></td></tr>
<tr class="separator:abe1e1e3e74f5b7d7d81e407370a27dcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70004b2369ed29c7c9714462915cc5f3" id="r_a70004b2369ed29c7c9714462915cc5f3"><td class="memItemLeft" align="right" valign="top"><a id="a70004b2369ed29c7c9714462915cc5f3" name="a70004b2369ed29c7c9714462915cc5f3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_E_A</b>&#160;&#160;&#160;(								_BV(WGM11)					)</td></tr>
<tr class="memdesc:a70004b2369ed29c7c9714462915cc5f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 14 (Reg.A) - Fast PWM with ICR1 as top. <br /></td></tr>
<tr class="separator:a70004b2369ed29c7c9714462915cc5f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95a78562fb6bc4d952b9439ccc8fed49" id="r_a95a78562fb6bc4d952b9439ccc8fed49"><td class="memItemLeft" align="right" valign="top"><a id="a95a78562fb6bc4d952b9439ccc8fed49" name="a95a78562fb6bc4d952b9439ccc8fed49"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_E_B</b>&#160;&#160;&#160;(_BV(WGM13) |	_BV(WGM12)									)</td></tr>
<tr class="memdesc:a95a78562fb6bc4d952b9439ccc8fed49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 14 (Reg.B) <br /></td></tr>
<tr class="separator:a95a78562fb6bc4d952b9439ccc8fed49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a635c4c945fb0d387fddae85e8946f60a" id="r_a635c4c945fb0d387fddae85e8946f60a"><td class="memItemLeft" align="right" valign="top"><a id="a635c4c945fb0d387fddae85e8946f60a" name="a635c4c945fb0d387fddae85e8946f60a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_F_A</b>&#160;&#160;&#160;(								_BV(WGM11) |	_BV(WGM10)	)</td></tr>
<tr class="memdesc:a635c4c945fb0d387fddae85e8946f60a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 15 (Reg.A) - Fast PWM with OCR1A as top. <br /></td></tr>
<tr class="separator:a635c4c945fb0d387fddae85e8946f60a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0490dc048113273a2d41eda896495fc" id="r_ac0490dc048113273a2d41eda896495fc"><td class="memItemLeft" align="right" valign="top"><a id="ac0490dc048113273a2d41eda896495fc" name="ac0490dc048113273a2d41eda896495fc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_F_B</b>&#160;&#160;&#160;(_BV(WGM13) |	_BV(WGM12)									)</td></tr>
<tr class="memdesc:ac0490dc048113273a2d41eda896495fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer1 mode 15 (Reg.B) <br /></td></tr>
<tr class="separator:ac0490dc048113273a2d41eda896495fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee31ab8733bdb2299ae1662ea4761f8c" id="r_aee31ab8733bdb2299ae1662ea4761f8c"><td class="memItemLeft" align="right" valign="top"><a id="aee31ab8733bdb2299ae1662ea4761f8c" name="aee31ab8733bdb2299ae1662ea4761f8c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_MASK_A</b>&#160;&#160;&#160;<a class="el" href="#a635c4c945fb0d387fddae85e8946f60a">KM_TCC1_MODE_F_A</a></td></tr>
<tr class="memdesc:aee31ab8733bdb2299ae1662ea4761f8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode mask for Timer1 (reg. A) (helps to clear mode) <br /></td></tr>
<tr class="separator:aee31ab8733bdb2299ae1662ea4761f8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a497e3258e79c5b53934d9544272e511b" id="r_a497e3258e79c5b53934d9544272e511b"><td class="memItemLeft" align="right" valign="top"><a id="a497e3258e79c5b53934d9544272e511b" name="a497e3258e79c5b53934d9544272e511b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_MODE_MASK_B</b>&#160;&#160;&#160;<a class="el" href="#ac0490dc048113273a2d41eda896495fc">KM_TCC1_MODE_F_B</a></td></tr>
<tr class="memdesc:a497e3258e79c5b53934d9544272e511b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode mask for Timer1 (reg. B) <br /></td></tr>
<tr class="separator:a497e3258e79c5b53934d9544272e511b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90f44b29a4fce459b95f40b0b1717372" id="r_a90f44b29a4fce459b95f40b0b1717372"><td class="memItemLeft" align="right" valign="top"><a id="a90f44b29a4fce459b95f40b0b1717372" name="a90f44b29a4fce459b95f40b0b1717372"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_A_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a90f44b29a4fce459b95f40b0b1717372"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:a90f44b29a4fce459b95f40b0b1717372"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf9af951247ec0e6ed66f039eddb2372" id="r_acf9af951247ec0e6ed66f039eddb2372"><td class="memItemLeft" align="right" valign="top"><a id="acf9af951247ec0e6ed66f039eddb2372" name="acf9af951247ec0e6ed66f039eddb2372"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_A_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM1A0)	)</td></tr>
<tr class="memdesc:acf9af951247ec0e6ed66f039eddb2372"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1A on compare match. <br /></td></tr>
<tr class="separator:acf9af951247ec0e6ed66f039eddb2372"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a6bf7a49b01d616d92d09be680b8496" id="r_a7a6bf7a49b01d616d92d09be680b8496"><td class="memItemLeft" align="right" valign="top"><a id="a7a6bf7a49b01d616d92d09be680b8496" name="a7a6bf7a49b01d616d92d09be680b8496"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_A_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM1A1)				)</td></tr>
<tr class="memdesc:a7a6bf7a49b01d616d92d09be680b8496"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1A on compare match (set output to low level) <br /></td></tr>
<tr class="separator:a7a6bf7a49b01d616d92d09be680b8496"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46b1a84f787b8d53ed9be353244f3ca0" id="r_a46b1a84f787b8d53ed9be353244f3ca0"><td class="memItemLeft" align="right" valign="top"><a id="a46b1a84f787b8d53ed9be353244f3ca0" name="a46b1a84f787b8d53ed9be353244f3ca0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_A_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM1A1) |	_BV(COM1A0)	)</td></tr>
<tr class="memdesc:a46b1a84f787b8d53ed9be353244f3ca0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1A on compare match (set output to high level) <br /></td></tr>
<tr class="separator:a46b1a84f787b8d53ed9be353244f3ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab64faca4982d425aa47e1c8428a65179" id="r_ab64faca4982d425aa47e1c8428a65179"><td class="memItemLeft" align="right" valign="top"><a id="ab64faca4982d425aa47e1c8428a65179" name="ab64faca4982d425aa47e1c8428a65179"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_COMP_A_MASK</b>&#160;&#160;&#160;<a class="el" href="#a46b1a84f787b8d53ed9be353244f3ca0">KM_TCC1_A_COMP_OUT_SET</a></td></tr>
<tr class="separator:ab64faca4982d425aa47e1c8428a65179"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3038b817a0d9192511194cc958e8d373" id="r_a3038b817a0d9192511194cc958e8d373"><td class="memItemLeft" align="right" valign="top"><a id="a3038b817a0d9192511194cc958e8d373" name="a3038b817a0d9192511194cc958e8d373"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_B_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a3038b817a0d9192511194cc958e8d373"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:a3038b817a0d9192511194cc958e8d373"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a810cd6eef5e42d318454b0e15b290c1c" id="r_a810cd6eef5e42d318454b0e15b290c1c"><td class="memItemLeft" align="right" valign="top"><a id="a810cd6eef5e42d318454b0e15b290c1c" name="a810cd6eef5e42d318454b0e15b290c1c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_B_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM1B0)	)</td></tr>
<tr class="memdesc:a810cd6eef5e42d318454b0e15b290c1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1B on compare match. <br /></td></tr>
<tr class="separator:a810cd6eef5e42d318454b0e15b290c1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58c3a760a8cd37a42f1d1fb66267dd6a" id="r_a58c3a760a8cd37a42f1d1fb66267dd6a"><td class="memItemLeft" align="right" valign="top"><a id="a58c3a760a8cd37a42f1d1fb66267dd6a" name="a58c3a760a8cd37a42f1d1fb66267dd6a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_B_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM1B1)				)</td></tr>
<tr class="memdesc:a58c3a760a8cd37a42f1d1fb66267dd6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1B on compare match (set output to low level) <br /></td></tr>
<tr class="separator:a58c3a760a8cd37a42f1d1fb66267dd6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84e4f021acdba89b9f54e456e6d3231b" id="r_a84e4f021acdba89b9f54e456e6d3231b"><td class="memItemLeft" align="right" valign="top"><a id="a84e4f021acdba89b9f54e456e6d3231b" name="a84e4f021acdba89b9f54e456e6d3231b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_B_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM1B1) |	_BV(COM1B0)	)</td></tr>
<tr class="memdesc:a84e4f021acdba89b9f54e456e6d3231b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1B on compare match (set output to high level) <br /></td></tr>
<tr class="separator:a84e4f021acdba89b9f54e456e6d3231b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1091ab25838e1fe9ec910b5a3ce22f6" id="r_ac1091ab25838e1fe9ec910b5a3ce22f6"><td class="memItemLeft" align="right" valign="top"><a id="ac1091ab25838e1fe9ec910b5a3ce22f6" name="ac1091ab25838e1fe9ec910b5a3ce22f6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_COMP_B_MASK</b>&#160;&#160;&#160;<a class="el" href="#a84e4f021acdba89b9f54e456e6d3231b">KM_TCC1_B_COMP_OUT_SET</a></td></tr>
<tr class="separator:ac1091ab25838e1fe9ec910b5a3ce22f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b07dd97329a1ccb7c6888452a40c00d" id="r_a0b07dd97329a1ccb7c6888452a40c00d"><td class="memItemLeft" align="right" valign="top"><a id="a0b07dd97329a1ccb7c6888452a40c00d" name="a0b07dd97329a1ccb7c6888452a40c00d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_C_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a0b07dd97329a1ccb7c6888452a40c00d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:a0b07dd97329a1ccb7c6888452a40c00d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad278fcc18b1e2a94a7ab2a249c6ecb30" id="r_ad278fcc18b1e2a94a7ab2a249c6ecb30"><td class="memItemLeft" align="right" valign="top"><a id="ad278fcc18b1e2a94a7ab2a249c6ecb30" name="ad278fcc18b1e2a94a7ab2a249c6ecb30"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_C_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM1C0)	)</td></tr>
<tr class="memdesc:ad278fcc18b1e2a94a7ab2a249c6ecb30"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1B on compare match. <br /></td></tr>
<tr class="separator:ad278fcc18b1e2a94a7ab2a249c6ecb30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac740c4de26f6176c98124a37bfd13682" id="r_ac740c4de26f6176c98124a37bfd13682"><td class="memItemLeft" align="right" valign="top"><a id="ac740c4de26f6176c98124a37bfd13682" name="ac740c4de26f6176c98124a37bfd13682"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_C_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM1C1)				)</td></tr>
<tr class="memdesc:ac740c4de26f6176c98124a37bfd13682"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1B on compare match (set output to low level) <br /></td></tr>
<tr class="separator:ac740c4de26f6176c98124a37bfd13682"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d03c918d6e874374eac32873cf56b98" id="r_a4d03c918d6e874374eac32873cf56b98"><td class="memItemLeft" align="right" valign="top"><a id="a4d03c918d6e874374eac32873cf56b98" name="a4d03c918d6e874374eac32873cf56b98"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_C_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM1C1) |	_BV(COM1C0)	)</td></tr>
<tr class="memdesc:a4d03c918d6e874374eac32873cf56b98"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1B on compare match (set output to high level) <br /></td></tr>
<tr class="separator:a4d03c918d6e874374eac32873cf56b98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83bf3624f299d9e70603e8d5eebcbc34" id="r_a83bf3624f299d9e70603e8d5eebcbc34"><td class="memItemLeft" align="right" valign="top"><a id="a83bf3624f299d9e70603e8d5eebcbc34" name="a83bf3624f299d9e70603e8d5eebcbc34"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_COMP_C_MASK</b>&#160;&#160;&#160;<a class="el" href="#a4d03c918d6e874374eac32873cf56b98">KM_TCC1_C_COMP_OUT_SET</a></td></tr>
<tr class="separator:a83bf3624f299d9e70603e8d5eebcbc34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5af51dd22277a03fe0fc8950a8b742a" id="r_aa5af51dd22277a03fe0fc8950a8b742a"><td class="memItemLeft" align="right" valign="top"><a id="aa5af51dd22277a03fe0fc8950a8b742a" name="aa5af51dd22277a03fe0fc8950a8b742a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_A_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:aa5af51dd22277a03fe0fc8950a8b742a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC1A disconnected. <br /></td></tr>
<tr class="separator:aa5af51dd22277a03fe0fc8950a8b742a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac76e6b404df5ee01ea496cfbd1272ce" id="r_aac76e6b404df5ee01ea496cfbd1272ce"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aac76e6b404df5ee01ea496cfbd1272ce">KM_TCC1_A_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM1A0)	)</td></tr>
<tr class="separator:aac76e6b404df5ee01ea496cfbd1272ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e71b2ecc3fd440f5a53d34d536ad38d" id="r_a6e71b2ecc3fd440f5a53d34d536ad38d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6e71b2ecc3fd440f5a53d34d536ad38d">KM_TCC1_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM1A1)				)</td></tr>
<tr class="separator:a6e71b2ecc3fd440f5a53d34d536ad38d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98d4eabb558a59375db5950a14e77af4" id="r_a98d4eabb558a59375db5950a14e77af4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a98d4eabb558a59375db5950a14e77af4">KM_TCC1_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM1A1) |	_BV(COM1A0)	)</td></tr>
<tr class="separator:a98d4eabb558a59375db5950a14e77af4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b67a9c455cf7391d488d800a86f570c" id="r_a6b67a9c455cf7391d488d800a86f570c"><td class="memItemLeft" align="right" valign="top"><a id="a6b67a9c455cf7391d488d800a86f570c" name="a6b67a9c455cf7391d488d800a86f570c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_B_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a6b67a9c455cf7391d488d800a86f570c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC1B disconnected. <br /></td></tr>
<tr class="separator:a6b67a9c455cf7391d488d800a86f570c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22d50ad596b4ed63e8495d01d333e676" id="r_a22d50ad596b4ed63e8495d01d333e676"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a22d50ad596b4ed63e8495d01d333e676">KM_TCC1_B_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM1B0)	)</td></tr>
<tr class="separator:a22d50ad596b4ed63e8495d01d333e676"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfe5a85bb57e9c6a5ec39a9f04abdc87" id="r_adfe5a85bb57e9c6a5ec39a9f04abdc87"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#adfe5a85bb57e9c6a5ec39a9f04abdc87">KM_TCC1_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM1B1)				)</td></tr>
<tr class="separator:adfe5a85bb57e9c6a5ec39a9f04abdc87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2762194fbcfff5a6b84bc97584d40408" id="r_a2762194fbcfff5a6b84bc97584d40408"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2762194fbcfff5a6b84bc97584d40408">KM_TCC1_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM1B1) |	_BV(COM1B0)	)</td></tr>
<tr class="separator:a2762194fbcfff5a6b84bc97584d40408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81f0855a8c5afceb418841ff5a5b0010" id="r_a81f0855a8c5afceb418841ff5a5b0010"><td class="memItemLeft" align="right" valign="top"><a id="a81f0855a8c5afceb418841ff5a5b0010" name="a81f0855a8c5afceb418841ff5a5b0010"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_C_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a81f0855a8c5afceb418841ff5a5b0010"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC1Cdisconnected. <br /></td></tr>
<tr class="separator:a81f0855a8c5afceb418841ff5a5b0010"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4db77f9ec5d04f74656c500315eda00c" id="r_a4db77f9ec5d04f74656c500315eda00c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4db77f9ec5d04f74656c500315eda00c">KM_TCC1_C_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM1C0)	)</td></tr>
<tr class="separator:a4db77f9ec5d04f74656c500315eda00c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26590feb2b1eeeda3402584be6eb6756" id="r_a26590feb2b1eeeda3402584be6eb6756"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a26590feb2b1eeeda3402584be6eb6756">KM_TCC1_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM1C1)				)</td></tr>
<tr class="separator:a26590feb2b1eeeda3402584be6eb6756"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bd12d8cc15c22abc716e2afa3851e77" id="r_a7bd12d8cc15c22abc716e2afa3851e77"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7bd12d8cc15c22abc716e2afa3851e77">KM_TCC1_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM1C1) |	_BV(COM1C0)	)</td></tr>
<tr class="separator:a7bd12d8cc15c22abc716e2afa3851e77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79625e3df9d9834a634cc2583561bea7" id="r_a79625e3df9d9834a634cc2583561bea7"><td class="memItemLeft" align="right" valign="top"><a id="a79625e3df9d9834a634cc2583561bea7" name="a79625e3df9d9834a634cc2583561bea7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_INT_MASK_REG</b>&#160;&#160;&#160;TIMSK1</td></tr>
<tr class="separator:a79625e3df9d9834a634cc2583561bea7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2120ae7b950c537e137aca7d15c6ec7" id="r_ac2120ae7b950c537e137aca7d15c6ec7"><td class="memItemLeft" align="right" valign="top"><a id="ac2120ae7b950c537e137aca7d15c6ec7" name="ac2120ae7b950c537e137aca7d15c6ec7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PWM_DDR</b>&#160;&#160;&#160;DDRB</td></tr>
<tr class="memdesc:ac2120ae7b950c537e137aca7d15c6ec7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Direction register o Timer1 PWM outputs. <br /></td></tr>
<tr class="separator:ac2120ae7b950c537e137aca7d15c6ec7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f0efe20fa1f2d643d8c70d69791e1c1" id="r_a8f0efe20fa1f2d643d8c70d69791e1c1"><td class="memItemLeft" align="right" valign="top"><a id="a8f0efe20fa1f2d643d8c70d69791e1c1" name="a8f0efe20fa1f2d643d8c70d69791e1c1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PWM_PORT</b>&#160;&#160;&#160;PORTB</td></tr>
<tr class="memdesc:a8f0efe20fa1f2d643d8c70d69791e1c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Port register of Timer1 PWM outputs. <br /></td></tr>
<tr class="separator:a8f0efe20fa1f2d643d8c70d69791e1c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43917ffbf086f5c3863544054863b56e" id="r_a43917ffbf086f5c3863544054863b56e"><td class="memItemLeft" align="right" valign="top"><a id="a43917ffbf086f5c3863544054863b56e" name="a43917ffbf086f5c3863544054863b56e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PWM_PIN_A</b>&#160;&#160;&#160;PB5</td></tr>
<tr class="memdesc:a43917ffbf086f5c3863544054863b56e"><td class="mdescLeft">&#160;</td><td class="mdescRight">PWM pin A of Timer1. <br /></td></tr>
<tr class="separator:a43917ffbf086f5c3863544054863b56e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22f13f18849b303d6f4ff0829bd4cf9" id="r_ae22f13f18849b303d6f4ff0829bd4cf9"><td class="memItemLeft" align="right" valign="top"><a id="ae22f13f18849b303d6f4ff0829bd4cf9" name="ae22f13f18849b303d6f4ff0829bd4cf9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PWM_PIN_B</b>&#160;&#160;&#160;PB6</td></tr>
<tr class="memdesc:ae22f13f18849b303d6f4ff0829bd4cf9"><td class="mdescLeft">&#160;</td><td class="mdescRight">PMW pin B of Timer1. <br /></td></tr>
<tr class="separator:ae22f13f18849b303d6f4ff0829bd4cf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6947d89228f3b60ed3bac4a1c014299d" id="r_a6947d89228f3b60ed3bac4a1c014299d"><td class="memItemLeft" align="right" valign="top"><a id="a6947d89228f3b60ed3bac4a1c014299d" name="a6947d89228f3b60ed3bac4a1c014299d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PWM_PIN_C</b>&#160;&#160;&#160;PB7</td></tr>
<tr class="memdesc:a6947d89228f3b60ed3bac4a1c014299d"><td class="mdescLeft">&#160;</td><td class="mdescRight">PMW pin C of Timer1. <br /></td></tr>
<tr class="separator:a6947d89228f3b60ed3bac4a1c014299d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2ed0e3291c68f49f5b2ffb56193c6de" id="r_ae2ed0e3291c68f49f5b2ffb56193c6de"><td class="memItemLeft" align="right" valign="top"><a id="ae2ed0e3291c68f49f5b2ffb56193c6de" name="ae2ed0e3291c68f49f5b2ffb56193c6de"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_ICP1_PIN</b>&#160;&#160;&#160;PD4</td></tr>
<tr class="memdesc:ae2ed0e3291c68f49f5b2ffb56193c6de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter1 Input Capture Pin. <br /></td></tr>
<tr class="separator:ae2ed0e3291c68f49f5b2ffb56193c6de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac587ccd8ff65d34830e7ef4b0682c536" id="r_ac587ccd8ff65d34830e7ef4b0682c536"><td class="memItemLeft" align="right" valign="top"><a id="ac587ccd8ff65d34830e7ef4b0682c536" name="ac587ccd8ff65d34830e7ef4b0682c536"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_ICP1_PORT_DDR</b>&#160;&#160;&#160;DDRD</td></tr>
<tr class="memdesc:ac587ccd8ff65d34830e7ef4b0682c536"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter1 Input Capture DDR. <br /></td></tr>
<tr class="separator:ac587ccd8ff65d34830e7ef4b0682c536"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03d8670f36e4cfa00e55bb0fe03dddb0" id="r_a03d8670f36e4cfa00e55bb0fe03dddb0"><td class="memItemLeft" align="right" valign="top"><a id="a03d8670f36e4cfa00e55bb0fe03dddb0" name="a03d8670f36e4cfa00e55bb0fe03dddb0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_ICP1_PORT_OUTPUT</b>&#160;&#160;&#160;PORTD</td></tr>
<tr class="memdesc:a03d8670f36e4cfa00e55bb0fe03dddb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter1 Input Capture output port. <br /></td></tr>
<tr class="separator:a03d8670f36e4cfa00e55bb0fe03dddb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a889cdf6f8d4e9a505031129e2b8aed7e" id="r_a889cdf6f8d4e9a505031129e2b8aed7e"><td class="memItemLeft" align="right" valign="top"><a id="a889cdf6f8d4e9a505031129e2b8aed7e" name="a889cdf6f8d4e9a505031129e2b8aed7e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_ICP1_PORT_INPUT</b>&#160;&#160;&#160;PIND</td></tr>
<tr class="memdesc:a889cdf6f8d4e9a505031129e2b8aed7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter3 Input Capture input port. <br /></td></tr>
<tr class="separator:a889cdf6f8d4e9a505031129e2b8aed7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d5b4fe59b95e3eb6549f8113a0cc72f" id="r_a4d5b4fe59b95e3eb6549f8113a0cc72f"><td class="memItemLeft" align="right" valign="top"><a id="a4d5b4fe59b95e3eb6549f8113a0cc72f" name="a4d5b4fe59b95e3eb6549f8113a0cc72f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_T1_PIN</b>&#160;&#160;&#160;PE6</td></tr>
<tr class="memdesc:a4d5b4fe59b95e3eb6549f8113a0cc72f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter5 Input Clock input Pin. <br /></td></tr>
<tr class="separator:a4d5b4fe59b95e3eb6549f8113a0cc72f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1c9c9c79f482f0c02773691bb01aecb" id="r_ae1c9c9c79f482f0c02773691bb01aecb"><td class="memItemLeft" align="right" valign="top"><a id="ae1c9c9c79f482f0c02773691bb01aecb" name="ae1c9c9c79f482f0c02773691bb01aecb"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PWM_BV_A</b>&#160;&#160;&#160;_BV(<a class="el" href="#a43917ffbf086f5c3863544054863b56e">KM_TCC1_PWM_PIN_A</a>)</td></tr>
<tr class="memdesc:ae1c9c9c79f482f0c02773691bb01aecb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin A of Timer1. <br /></td></tr>
<tr class="separator:ae1c9c9c79f482f0c02773691bb01aecb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a690d13693e97be436327fc37c58c1ce1" id="r_a690d13693e97be436327fc37c58c1ce1"><td class="memItemLeft" align="right" valign="top"><a id="a690d13693e97be436327fc37c58c1ce1" name="a690d13693e97be436327fc37c58c1ce1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PWM_BV_B</b>&#160;&#160;&#160;_BV(<a class="el" href="#ae22f13f18849b303d6f4ff0829bd4cf9">KM_TCC1_PWM_PIN_B</a>)</td></tr>
<tr class="memdesc:a690d13693e97be436327fc37c58c1ce1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin B of Timer1. <br /></td></tr>
<tr class="separator:a690d13693e97be436327fc37c58c1ce1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03dec66c545875dfe7d2e1364abe5d07" id="r_a03dec66c545875dfe7d2e1364abe5d07"><td class="memItemLeft" align="right" valign="top"><a id="a03dec66c545875dfe7d2e1364abe5d07" name="a03dec66c545875dfe7d2e1364abe5d07"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC1_PWM_BV_C</b>&#160;&#160;&#160;_BV(<a class="el" href="#a6947d89228f3b60ed3bac4a1c014299d">KM_TCC1_PWM_PIN_C</a>)</td></tr>
<tr class="memdesc:a03dec66c545875dfe7d2e1364abe5d07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin C of Timer1. <br /></td></tr>
<tr class="separator:a03dec66c545875dfe7d2e1364abe5d07"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Common definitions for Timers. <a class="el" href="km_timer1_defs_8h.html" title="Common definitions for Timers. kmTimer1Defs.h.">kmTimer1Defs.h</a>. </p>
<p><b>Created on</b>: Dec 10, 2023 <br  />
 <b>Author</b>: Krzysztof Moskwa <br  />
 <b>License</b>: GPL-3.0-or-later <br  />
<br  />
 kmTimersCommon library for AVR MCUs <br  />
 <b>Copyright (C) 2023 Krzysztof Moskwa</b></p>
<p>This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.</p>
<p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.</p>
<p>You should have received a copy of the GNU General Public License along with this program. If not, see <a href="https://www.gnu.org/licenses/">https://www.gnu.org/licenses/</a>. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a6e71b2ecc3fd440f5a53d34d536ad38d" name="a6e71b2ecc3fd440f5a53d34d536ad38d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e71b2ecc3fd440f5a53d34d536ad38d">&#9670;&#160;</a></span>KM_TCC1_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC1_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM1A1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC1A on Compare Match, set OC1A at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC1A on Compare Match when up-counting. Set OC1A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a98d4eabb558a59375db5950a14e77af4" name="a98d4eabb558a59375db5950a14e77af4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98d4eabb558a59375db5950a14e77af4">&#9670;&#160;</a></span>KM_TCC1_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC1_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM1A1) |	_BV(COM1A0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC1A on Compare Match, clear OC1A at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC0A on Compare Match when up-counting. Clear OC1A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="aac76e6b404df5ee01ea496cfbd1272ce" name="aac76e6b404df5ee01ea496cfbd1272ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac76e6b404df5ee01ea496cfbd1272ce">&#9670;&#160;</a></span>KM_TCC1_A_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC1_A_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM1A0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC1A Disconnected <br  />
WGM02 = 1: Toggle OC1A on Compare Match </p>

</div>
</div>
<a id="adfe5a85bb57e9c6a5ec39a9f04abdc87" name="adfe5a85bb57e9c6a5ec39a9f04abdc87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfe5a85bb57e9c6a5ec39a9f04abdc87">&#9670;&#160;</a></span>KM_TCC1_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC1_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM1B1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC1B on Compare Match, set OC1B at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC1B on Compare Match when up-counting. Set OC1B on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a2762194fbcfff5a6b84bc97584d40408" name="a2762194fbcfff5a6b84bc97584d40408"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2762194fbcfff5a6b84bc97584d40408">&#9670;&#160;</a></span>KM_TCC1_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC1_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM1B1) |	_BV(COM1B0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC1B on Compare Match, clear OC1B at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC1A on Compare Match when up-counting. Clear OC1A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a22d50ad596b4ed63e8495d01d333e676" name="a22d50ad596b4ed63e8495d01d333e676"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22d50ad596b4ed63e8495d01d333e676">&#9670;&#160;</a></span>KM_TCC1_B_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC1_B_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM1B0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC1B Disconnected <br  />
WGM02 = 1: Toggle OC1B on Compare Match </p>

</div>
</div>
<a id="a26590feb2b1eeeda3402584be6eb6756" name="a26590feb2b1eeeda3402584be6eb6756"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26590feb2b1eeeda3402584be6eb6756">&#9670;&#160;</a></span>KM_TCC1_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC1_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM1C1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC1C on Compare Match, set OC1c at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC1C on Compare Match when up-counting. Set OC1C on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a7bd12d8cc15c22abc716e2afa3851e77" name="a7bd12d8cc15c22abc716e2afa3851e77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bd12d8cc15c22abc716e2afa3851e77">&#9670;&#160;</a></span>KM_TCC1_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC1_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM1C1) |	_BV(COM1C0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC1C on Compare Match, clear OC1C at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC1C on Compare Match when up-counting. Clear OC1C on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a4db77f9ec5d04f74656c500315eda00c" name="a4db77f9ec5d04f74656c500315eda00c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4db77f9ec5d04f74656c500315eda00c">&#9670;&#160;</a></span>KM_TCC1_C_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC1_C_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM1C0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC1C Disconnected <br  />
WGM02 = 1: Toggle OC1C on Compare Match </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer1_defs_8h.html">kmTimer1Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
